> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Verification Request

> Delete a verification request

A request may only be deleted when when the request is in the "rejected" state.

* `HTTP 200`: request successfully deleted
* `HTTP 400`: request exists but can't be deleted (i.e. not rejected)
* `HTTP 404`: request unknown or already deleted



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging/toll-free-verification.yml delete /messaging_tollfree/verification/requests/{id}
openapi: 3.1.0
info:
  title: Telnyx Toll-free Verification API
  version: 2.0.0
  description: API for Toll-free verification.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /messaging_tollfree/verification/requests/{id}:
    delete:
      tags:
        - Verification Requests
      summary: Delete Verification Request
      description: >-
        Delete a verification request


        A request may only be deleted when when the request is in the "rejected"
        state.


        * `HTTP 200`: request successfully deleted

        * `HTTP 400`: request exists but can't be deleted (i.e. not rejected)

        * `HTTP 404`: request unknown or already deleted
      operationId: DeleteVerificationRequest
      parameters:
        - required: true
          schema:
            title: Id
            type: string
            format: uuid
          name: id
          in: path
      responses:
        '200':
          description: Successful deleted
        '404':
          $ref: '#/components/responses/toll-free-verification_GenericErrorResponse'
          description: Not Found
        4XX:
          $ref: '#/components/responses/toll-free-verification_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            await
            client.messagingTollfree.verification.requests.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.messaging_tollfree.verification.requests.delete(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.MessagingTollfree.Verification.Requests.Delete(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestDeleteParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    client.messagingTollfree().verification().requests().delete("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            result =
            telnyx.messaging_tollfree.verification.requests.delete("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(result)
        - lang: CLI
          source: |-
            telnyx messaging-tollfree:verification:requests delete \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  responses:
    toll-free-verification_GenericErrorResponse:
      description: Generic error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/toll-free-verification_Errors'
  schemas:
    toll-free-verification_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/toll-free-verification_Error'
      type: object
    toll-free-verification_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````